> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get discovered services

GET https://api.getpostman.com/api-catalog/discovery-services

Gets a list of all [discovered services](https://learning.postman.com/docs/api-catalog/overview#discover-apis-and-services) in the API Catalog.

Reference: https://learning.postman.com/api-docs/api-reference/api-catalog/get-api-catalog-discovery-services

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /api-catalog/discovery-services:
    get:
      operationId: getApiCatalogDiscoveryServices
      summary: Get discovered services
      description: >-
        Gets a list of all [discovered
        services](https://learning.postman.com/docs/api-catalog/overview#discover-apis-and-services)
        in the API Catalog.
      tags:
        - apiCatalog
      parameters:
        - name: discoverySource
          in: query
          description: >
            Filter results by the given discovery source type:

            - `api_gateway_app` — API Gateway integrations.

            - `insights_project` — Postman Insights.

            - `infra_watcher` — Cluster Watcher.

            - `public_api` — Services manually added using the POST
            `/api-catalog/discovery-services` endpoint.
          required: false
          schema:
            $ref: '#/components/schemas/discoveryServicesSource'
        - name: status
          in: query
          description: >-
            A comma-separated list of statuses to filter the results by. Accepts
            the `discovered`, `integrated`, and `archived` values.
          required: false
          schema:
            $ref: '#/components/schemas/discoveryServicesStatus'
        - name: search
          in: query
          description: >-
            Filter results by the given value that match a service's name.
            Matching is not case-sensitive.
          required: false
          schema:
            $ref: '#/components/schemas/discoveryServicesSearch'
        - name: limit
          in: query
          description: >-
            The maximum number of rows to return in the response, up to a
            maximum value of 100. Any value greater than 100 returns a 400 Bad
            Request response.
          required: false
          schema:
            $ref: '#/components/schemas/limitDefault20'
            default: 20
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getApiCatalogDiscoveryServices'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiCatalogError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetApiCatalogDiscoveryServicesRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    discoveryServicesSource:
      type: string
      enum:
        - api_gateway_app
        - insights_project
        - infra_watcher
        - public_api
      title: discoveryServicesSource
    discoveryServicesStatus:
      type: string
      title: discoveryServicesStatus
    discoveryServicesSearch:
      type: string
      title: discoveryServicesSearch
    limitDefault20:
      type: integer
      default: 20
      title: limitDefault20
    cursor:
      type: string
      title: cursor
    getApiCatalogDiscoveryMetaData:
      type: object
      properties:
        total:
          type: integer
          description: The number of records found.
        nextCursor:
          type:
            - string
            - 'null'
          description: >-
            The pagination cursor that points to the next record in the results
            set.
      description: The response's meta information for paginated results.
      title: getApiCatalogDiscoveryMetaData
    apiCatalogDiscoveryServicesTagsData:
      type: array
      items:
        type: string
      description: A list of tags associated with the service.
      title: apiCatalogDiscoveryServicesTagsData
    getApiCatalogServiceData:
      type: object
      properties:
        id:
          type: string
          description: The service's ID.
        name:
          type: string
          description: The service's name.
        version:
          type: string
          description: The service's version.
        sourceEnvironment:
          type:
            - string
            - 'null'
          description: The source environment in which the service was discovered.
        systemEnvironmentId:
          type:
            - string
            - 'null'
          description: >-
            The mapped system environment's ID. Returns a null value if the
            environment is not mapped.
        status:
          type: string
          description: The service's current status.
        endpointsCount:
          type: integer
          description: The total number of endpoints associated with the service.
        discoverySource:
          type: string
          description: The source through which the service was discovered.
        tags:
          $ref: '#/components/schemas/apiCatalogDiscoveryServicesTagsData'
        discoveredAt:
          type: string
          format: date-time
          description: The date and time at which the service was first discovered.
      description: Information about the discovered service.
      title: getApiCatalogServiceData
    getApiCatalogDiscoveryServices:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/getApiCatalogDiscoveryMetaData'
        data:
          type: array
          items:
            $ref: '#/components/schemas/getApiCatalogServiceData'
          description: A list of discovered services.
      title: getApiCatalogDiscoveryServices
    apiCatalogErrorPathMessage:
      type: object
      properties:
        path:
          type: string
          description: The path in which the error occurred.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: apiCatalogErrorPathMessage
    apiCatalogError:
      type: object
      properties:
        type:
          type: string
          format: uri
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/apiCatalogErrorPathMessage'
          description: A list of errors.
      title: apiCatalogError
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetApiCatalogDiscoveryServicesRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetApiCatalogDiscoveryServicesRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Successful Response



**Response**

```json
{
  "meta": {
    "total": 5,
    "nextCursor": null
  },
  "data": [
    {
      "id": "0eac9b7d-0603-4f16-8a4a-76c78df8fe26",
      "name": "Supply - stage (1.0.1)",
      "version": "1.0.1",
      "sourceEnvironment": "stage",
      "systemEnvironmentId": null,
      "status": "discovered",
      "endpointsCount": 6,
      "discoverySource": "api_gateway_app",
      "tags": [],
      "discoveredAt": "2026-02-12T04:01:26.000Z"
    },
    {
      "id": "0eab2aa4-d39b-49eb-a17b-d6c7b7eb9c9d",
      "name": "Order - stage (3.0.0)",
      "version": "3.0.0",
      "sourceEnvironment": "stage",
      "systemEnvironmentId": null,
      "status": "discovered",
      "endpointsCount": 2,
      "discoverySource": "api_gateway_app",
      "tags": [],
      "discoveredAt": "2026-02-12T04:01:26.000Z"
    },
    {
      "id": "a6aa80f3-bc34-4314-abc4-22c4fc5fd15d",
      "name": "Jelly Bean Wiki (IBM - 9) - sandbox (1.0.0)",
      "version": "1.0.0",
      "sourceEnvironment": "sandbox",
      "systemEnvironmentId": null,
      "status": "discovered",
      "endpointsCount": 3,
      "discoverySource": "api_gateway_app",
      "tags": [],
      "discoveredAt": "2026-02-12T04:01:26.000Z"
    },
    {
      "id": "5f5bda12-63e2-47d2-8824-ed5889de571a",
      "name": "Jelly Bean Wiki (IBM - 8) - sandbox (1.0.0)",
      "version": "1.0.0",
      "sourceEnvironment": "sandbox",
      "systemEnvironmentId": null,
      "status": "discovered",
      "endpointsCount": 3,
      "discoverySource": "api_gateway_app",
      "tags": [],
      "discoveredAt": "2026-02-12T04:01:26.000Z"
    },
    {
      "id": "339f3be5-0a91-47d5-a8c3-90d644752f5e",
      "name": "Jelly Bean Wiki (IBM - 7) - sandbox (1.0.0)",
      "version": "1.0.0",
      "sourceEnvironment": null,
      "systemEnvironmentId": null,
      "status": "discovered",
      "endpointsCount": 3,
      "discoverySource": "api_gateway_app",
      "tags": [],
      "discoveredAt": "2026-02-12T04:01:26.000Z"
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/api-catalog/discovery-services"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/api-catalog/discovery-services';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/api-catalog/discovery-services"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/api-catalog/discovery-services")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/api-catalog/discovery-services")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/api-catalog/discovery-services', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/api-catalog/discovery-services");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/api-catalog/discovery-services")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### No Results Found



**Response**

```json
{
  "meta": {
    "total": 0,
    "nextCursor": null
  },
  "data": []
}
```

**SDK Code**

```python No Results Found
import requests

url = "https://api.getpostman.com/api-catalog/discovery-services"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript No Results Found
const url = 'https://api.getpostman.com/api-catalog/discovery-services';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go No Results Found
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/api-catalog/discovery-services"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby No Results Found
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/api-catalog/discovery-services")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java No Results Found
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/api-catalog/discovery-services")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php No Results Found
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/api-catalog/discovery-services', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp No Results Found
using RestSharp;

var client = new RestClient("https://api.getpostman.com/api-catalog/discovery-services");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift No Results Found
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/api-catalog/discovery-services")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```